Can't install the latest version of Nemo FM

I just cloned the latest version of Nemo 6.0.2 File Manager from github but couldn't make it work. Tried different commands available on internet to install it but it didn't work. Any help from your side would be appreciated.

Try adding the repository and installing Nemo by these steps here:

If you are on Zorin OS 16, that will likely get you Nemo 5 - Nemo 6 cannot be installed with its dependencies.

Be Sure To Remove the Mint Repo after installing Nemo FM. The repository packages will conflict with the Zorin ones the next time you run the upgrader if you do not remove it.

Are you talking about /etc/apt/sources.list?

The Mint Daily Builds repository.
Run

sudo add-apt-repository --remove ppa:linuxmint-daily-build-team/daily-builds

to remove it once you have Nemo installed.

@Aravisian when I try to add the Mint ppa, got the following error.

I have a Question if You allow: Wouldn't it be easier to use the Nemo Verson what You can get from Zorin Sources? You can find it in the Gnome Software Store or install it with the Terminal. Or do You need the newest Version for some special Uses?

@Ponce-De-Leon before coming to Zorin, I have used linux mint for quite a long time and Nemo 6.02 is available on github. That's why I wanted to experience the same.

Is there a great Difference between 6.02 and ... I think Zorin has Version 5.2? I had this Nemo-Version a couple Days an it runs without Problems. Or do you need a special Function from this newer Version?

Well...

I just checked on this and the Mint Devs either moved, removed or deprecated that repository.
It is giving a 404 error at this time.

I know that there was some issue that the Mint forum and Website was hacked a while back and the Mint Devs took swift action to take down the sites and move to protect user information. This may be related to that.
I am not sure.
https://launchpad.net/~linuxmint-daily-build-team/+archive/ubuntu/daily-builds/+packages

I have been unable to find any further information on this; so it may be a temporary condition or it may be something very new.

1 Like

Can't complain. Installed the version 5 from software store.

1 Like

Nemo 5.2.4-1 is the latest version for the Jammy repos. It can be downloaded directly from https://pkgs.org/download/nemo# as a deb. In order to get the latest version, you would most likely have to run the latest version of Cinnamon, or even possibly, Linux Mint.

Just tried to build from source but eventually there are some dependencies that are simply not supported, at least not without deep diving into the dependency tree and potentially breaking something that ZorinOS needs.

1 Like

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.